package com.muyu.etl.rule.basic.handler;

import com.muyu.common.core.text.Convert;
import com.muyu.etl.domain.DataStructure;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author WangXin
 * @Data 2024/8/29
 * @Description 数据值作用域
 * @Version 1.0.0
 */
public class EngineValueHandler {

    public static void set(DataStructure dataStructure) {
        BasicEngineHandler.set(dataStructure);
    }

    public static DataStructure get() {
        return BasicEngineHandler.get();
    }

    public static Object getValue() {
        return get().getValue();
    }

    public static Integer getIntValue() {
        return Convert.toInt(getValue(), null);
    }

    public static Long getLongValue() {
        return Convert.toLong(getValue(), null);
    }

    public static Float getFloatValue() {
        return Convert.toFloat(getValue(), null);
    }

    public static Double getDoubleValue() {
        return Convert.toDouble(getValue(), null);
    }

    public static Boolean getBooleanValue() {
        return Convert.toBool(getValue(), null);
    }

    public static String getStringValue() {
        return Convert.toStr(getValue(), null);
    }

    public static BigDecimal getBigDecimalValue() {
        return Convert.toBigDecimal(getValue(), null);
    }
}
