package com.muyu.etl.rule.domain;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * 规则维护对象 etl_rule_info
 *
 * @author WangXin
 * @date 2024-08-25
 */

@EqualsAndHashCode(callSuper = true)
@Data
@Setter
@Getter
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("etl_rule_info")
public class RuleInfo extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId( type = IdType.AUTO)
    private Long id;

    /** 规则名称 */
    @Excel(name = "规则名称")
    private String ruleName;

    /** 规则编码 */
    @Excel(name = "规则编码")
    private String ruleCode;

    /** 规则分类 */
    @Excel(name = "规则分类")
    private String ruleTypeValue;

    /** 规则级别 */
    @Excel(name = "规则级别")
    private Long ruleLevelId;

    /** 是否激活（Y激活 N不激活） */
    @Excel(name = "是否激活", readConverterExp = "Y=激活,N=不激活")
    private String isActivation;

    /** 规则状态(Y正常 N停用) */
    @Excel(name = "规则状态(Y正常 N停用)")
    private String status;

    /** 规则说明 */
    @Excel(name = "规则说明")
    private String ruleExplain;

    private String createByName;
    private String updateByName;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("ruleName", getRuleName())
            .append("ruleCode", getRuleCode())
            .append("ruleTypeValue", getRuleTypeValue())
            .append("ruleLevelId", getRuleLevelId())
            .append("isActivation", getIsActivation())
            .append("status", getStatus())
            .append("ruleExplain", getRuleExplain())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
