package com.muyu.etl.rule.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 规则版本对象 etl_rule_version
 *
 * @author wangXin
 * @date 2024-08-25
 */

@EqualsAndHashCode(callSuper = true)
@Data
@Setter
@Getter
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("etl_rule_version")
public class RuleVersion extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 版本Id */
    @TableId( type = IdType.AUTO)
    private Long id;

    /** 版本类 */
    @Excel(name = "版本类")
    private String ruleVersionClass;

    /** 版本名称 */
    @Excel(name = "版本名称")
    private String ruleVersionName;

    /** 版本CODE */
    @Excel(name = "版本CODE")
    private String ruleVersionCode;

    /** 是否激活（1激活 0未激活） */
    @Excel(name = "是否激活", readConverterExp = "Y激活,N未激活")
    private String ruleVersionIsActivation;

    /** 是否测试（0未测试 1测试已通过 2测试未通过） */
    @Excel(name = "是否测试", readConverterExp = "0=未测试,1=测试已通过,2=测试未通过")
    private Long ruleVersionIsTest;

    /** 版本状态（0初始化 1已发布  2未发布） */
    @Excel(name = "版本状态", readConverterExp = "0=初始化,1=已发布,2=未发布")
    private Long ruleVersionStatus;

    /** 版本描述 */
    @Excel(name = "版本描述")
    private String ruleVersionDescribed;

    /** 规则Id */
    private Long ruleId;

    /** 版本作用域 */
    private Integer ruleVersionScope;

    /**
     * 文件内容
     */
    @TableField(exist = false)
    private String classContent;


    private String createByName;
    private String updateByName;



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("ruleVersionClass", getRuleVersionClass())
            .append("ruleVersionName", getRuleVersionName())
            .append("ruleVersionCode", getRuleVersionCode())
            .append("ruleVersionIsActivation", getRuleVersionIsActivation())
            .append("ruleVersionIsTest", getRuleVersionIsTest())
            .append("ruleVersionStatus", getRuleVersionStatus())
            .append("ruleVersionDescribed", getRuleVersionDescribed())
            .append("ruleId", getRuleId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
