package com.muyu.etl.rule.domain.req;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author WangXin
 * @Data 2024/8/24
 * @Description 启动规则引擎请求
 * @Version 1.0.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "启动规则引擎请求对象", description = "获取类的权限定名进行处理")
public class EtlRuleEngineReq {

    @Schema(type = "String", defaultValue = "com.muyu.etl.rule.domain.req.DataSourceAddReq", description = "类的全限定名")
    private String fullyQualifiedName;
}
