package com.muyu.etl.rule.domain.req;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author WangXin
 * @Data 2024/8/22
 * @Description 规则列表请求参数
 * @Version 1.0.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Tag(name = "规则列表请求对象", description = "规则列表查询请求时所需要的条件")
public class EtlRuleListReq {
    /**
     * 规则名称模糊查询
     */
    @Schema(type = "String", defaultValue = "邮箱规则", description = "规则名称模糊查询")
    private String ruleName;
    /**
     * 规则类型精确查询
     */
    @Schema(type = "String", defaultValue = "email", description = "规则类型字典精确查询")
    private String ruleTypeValue;
    /**
     * 是否激活字典
     */
    @Schema(type = "String", description = "是否激活字典查询 Y 或者 N", defaultValue = "Y")
    private String isActivation;
    /**
     * 规则开启和禁用的字段 Y 或者 N
     */
    @Schema(type = "String", defaultValue = "Y", description = "规则开启和禁用的字段,Y或者N")
    private String status;

}
