package com.muyu.etl.rule.domain.req;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Author WangXin
 * @Data 2024/8/22
 * @Description 规则添加请求参数
 * @Version 1.0.0
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "规则添加请求对象" ,description = "规则添加请求时所需要的条件")
public class EtlRuleSaveReq  {

    /** 规则名称 */
    @Schema(type = "String", defaultValue = "not_null_rule", description = "定义唯一的规则名称",requiredProperties = "true")
    private String ruleName;

    /** 规则分类 */
    @Schema(type = "Long", defaultValue = "1", description = "定义规则类型Id",requiredProperties = "true")
    private Long ruleTypeId;

    /** 规则说明 */
    @Schema(type = "String", defaultValue = "非空校验", description = "规则描述",requiredProperties = "true")
    private String ruleExplain;

    /** 规则类权限定名 */
    @Schema(type = "String", defaultValue = "com.muyu.etl.rule.domain.req.EtlRuleEngineReq", description = "规则所在类的全限定名",requiredProperties = "true")
    private String fullyQualifiedName;

    /** 是否公开(Y.公开 Y.不公开) */
    @Schema(type = "String", defaultValue = "Y", description = "规则启动/停止",requiredProperties = "true")
    private String status;

}
