package com.muyu.etl.rule.domain.req;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.HashMap;

/**
 * @Author WangXin
 * @Data 2024/8/27
 * @Description 执行规则请求对象
 * @Version 1.0.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "执行规则请求对象", description = "执行规则请求所需的参数和类名")
public class ExecutionRuleVersionReq {
    /**
     * 类名
     */
    @Schema(description = "执行的类名", defaultValue = "engine_custom_email_IAW3S02", requiredProperties = "true")
    private String engineKey;
    /**
     * 参数集合
     */
    @Schema(description = "执行方法所需的参数", requiredProperties = "true")
    private HashMap<String, Object> params;
}
