package com.muyu.etl.rule.domain.req;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.validation.constraints.NotEmpty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author WangXin
 * @Data 2024/8/27
 * @Description 写入请求对象
 * @Version 1.0.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "文件写入请求对象", description = "编写规则类时写入文件进行持久化保存")
public class WriteFileReq {

    /**
     * 请求文件名
     */
    @Schema(description = "存入的文件名", defaultValue = "engine_email-rule_JISID8S", requiredProperties = "true")
    @NotEmpty(message = "文件名不能为空")
    private String fileName;
    /**
     * 写入内容
     */
    @Schema(description = "存入的文件内容", defaultValue = "...", requiredProperties = "true")
    @NotEmpty(message = "文件内容不能为空")
    private String content;
}

