package com.muyu.etl.rule.engine.util;

import java.io.IOException;
import java.io.InputStream;
import java.util.Iterator;
import java.util.Map;
import java.util.Properties;
import java.util.concurrent.ConcurrentHashMap;

/**
 * @ClassName: PropertiesUtil
 * @Description: 读取配置文件工具类
 * @author: wangXin
 * @date: 2024/6/18 19:45
 * @Version 1.0.0
 */
public class PropertiesUtil {
    private static final Properties props = new Properties();
    private static final Map<String, String> PROPER_MAP = new ConcurrentHashMap<>();

    static {

        InputStream is = null;
        try {
            is = PropertiesUtil.class.getClassLoader().getResourceAsStream("application.properties");
            props.load(is);

            Iterator<Object> iterator = props.keySet().iterator();
            while (iterator.hasNext()) {
                String key = (String) iterator.next();
                PROPER_MAP.put(key, props.getProperty(key));
            }
        } catch (IOException e) {
            throw new RuntimeException(e);
        } finally {
            if (is != null) {
                try {
                    is.close();
                } catch (IOException e) {
                    throw new RuntimeException(e);
                }
            }
        }
    }

    public static String getProperty(String key) {
        return PROPER_MAP.get(key);
    }

    public static void main(String[] args) {
        System.out.println(getProperty("db.username"));
    }

}
