package com.muyu.etl.rule.util;

import com.muyu.etl.rule.basic.BasicEngine;
import com.muyu.etl.rule.basic.abstracts.DataEngineValueActuator;

/**
 * @Author WangXin
 * @Data 2024/8/24
 * @Description 规则引擎全限定名转换
 * @Version 1.0.0
 */
public class EnginePackUtil {
    /**
     * 获取全限定名的包名
     * @param fullyQualifiedName 全限定名
     * @return 包名
     */
    public static String getEnginePack(String fullyQualifiedName) {
        return fullyQualifiedName.substring(0,fullyQualifiedName.lastIndexOf("."));
    }

    /**
     * 获取全限定名的类名
     * @param fullyQualifiedName 全限定名
     * @return 类名
     */
    public static String getEngineClass(String fullyQualifiedName) {
        return fullyQualifiedName.substring(fullyQualifiedName.lastIndexOf(".") + 1);
    }

    public static void main(String[] args) {

        String enginePack = getEnginePack("com.muyu.etl.rule.domain.req.DataSourceAddReq");
        System.out.println(enginePack);
        String engineClass = getEngineClass("com.muyu.etl.rule.domain.req.DataSourceAddReq");
        System.out.println(engineClass);
    }
}
