package com.muyu.etl.rule.remote;

import com.muyu.common.core.domain.Result;
import com.muyu.etl.domain.DataStructure;
import com.muyu.etl.rule.domain.constants.RuleConstants;
import com.muyu.etl.rule.remote.factory.RemoteRuleVersionBackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/9/2 14:35
 * @注释
 */
@FeignClient(contextId = "remoteRuleVersion",
        value = RuleConstants.CLOUD_RULE_ENGINE,
        path = RuleConstants.RULE_VERSION_PATH,
        fallbackFactory = RemoteRuleVersionBackFactory.class)
public interface RemoteRuleVersion {


    @PostMapping("/groupFile/{engineKey}")
    public Result<DataStructure[][]> executionGroupRuleVersion(@PathVariable("engineKey") String engineKey, @RequestBody DataStructure[][] dataStructureRows);

}
