package com.muyu.etl.rule.remote.factory;

import com.muyu.common.core.domain.Result;
import com.muyu.etl.domain.DataStructure;
import com.muyu.etl.rule.remote.RemoteRuleVersion;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/9/1 10:04
 * @注释
 */
@Component
public class RemoteRuleVersionBackFactory implements FallbackFactory<RemoteRuleVersion> {
    private static final Logger log = LoggerFactory.getLogger(RemoteRuleVersionBackFactory.class);

    @Override
    public RemoteRuleVersion create(Throwable cause) {
        log.error("文件服务调用失败:{}", cause.getMessage());

        return new RemoteRuleVersion() {
            @Override
            public Result<DataStructure[][]> executionGroupRuleVersion(String engineKey, DataStructure[][] dataStructureRows) {
                return Result.error("查询数据失败:"+cause.getMessage());
            }
        };
    }
}
