package com.muyu.etl.rule.service;

import java.util.List;
import com.muyu.etl.rule.domain.RuleInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.etl.rule.domain.req.EtlRuleListReq;

/**
 * 规则维护Service接口
 *
 * @author WangXin
 * @date 2024-08-25
 */
public interface IRuleInfoService extends IService<RuleInfo> {
    /**
     * 精确查询规则维护
     *
     * @param id 规则维护主键
     * @return 规则维护
     */
    public RuleInfo selectRuleInfoById(Long id);

    /**
     * 查询规则维护列表
     * @param ruleInfoReq 规则维护
     * @return 规则维护集合
     */
    public List<RuleInfo> selectRuleInfoList(EtlRuleListReq ruleInfoReq);

    /**
     * 判断 规则维护 id是否唯一
     * @param ruleInfo 规则维护
     * @return 结果
     */
    Boolean checkIdUnique(RuleInfo ruleInfo);

}
